{* seznamMenu *}
<section class="d-flex justify-content-end mb-3">
    <button class="btn btn-success" data-bs-toggle="modal" data-bs-target="#pridatPolozkaModal"><i class="fa-solid fa-plus me-2"></i>Přidat položku</button>
</section>
{snippet seznam}
    {*====== TABLE ========*}
    <section>
        <div class="table-responsive">
            <table class="table table-striped table-responsive">
                <tbody>
                {if (!empty($menu))}
                    {foreach $menu as $one}
                        <tr>
                            <td>
                                {if $one->typ == 'page'}
                                    <span class="text-dark">
                                        <i class="fa-solid fa-file-lines me-2"></i>{$one->ref('stranky','stranky_id')->nazev}
                                    </span>
                                {/if}
                                {if $one->typ == 'dropdown'}
                                    <a href="{plink :Admin:Obsah:Menu:Detail:default $one->id}">
                                        <span class="text-primary">
                                            <i class="fa-solid fa-table-list me-2"></i>{$one->nazev}
                                        </span>
                                    </a>
                                {/if}
                            </td>
                            <td>
                                {switch $one->typ}
                                    {case 'page'}
                                        Stránka
                                    {case 'dropdown'}
                                        Rozbalovací menu
                                    {default}
                                        Neznámý typ
                                {/switch}
                            </td>
                            <td>
                                {if $one->sort != 1}
                                    <a n:href="sortUp! $one->id" class="ajax btn btn-outline-primary me-3">
                                        <i class="fa-solid fa-angle-up"></i>
                                    </a>
                                {/if}
                                {if $one->sort != $menuCount}
                                    <a n:href="sortDown! $one->id" class="ajax btn btn-outline-primary me-3">
                                        <i class="fa-solid fa-angle-down"></i>
                                    </a>
                                {/if}
                            </td>
                            <td class="text-end">
                                <a n:href="remPolozka! $one->id" class="ajax me-3">
                                    <i class="fa-solid fa-square-minus text-danger fs-4"></i>
                                </a>
                            </td>
                        </tr>
                    {/foreach}
                {else}
                    <tr>
                        <td colspan="4" class="text-center">
                            Menu neobsahuje položky
                        </td>
                    </tr>
                {/if}
                </tbody>
            </table>
        </div>
    </section>
{/snippet}

<div class="modal fade" id="pridatPolozkaModal" tabindex="-1" aria-labelledby="pridatPolozkaModal" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable">
        {snippet formular}
            <form n:name="pridatPolozkaForm">
                <div class="modal-content">
                    <div class="modal-header bg-primary text-white">
                        <h5 class="modal-title mb-0">Přidat položku</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body text-default">
                        <div class="row border-bottom mb-3">
                            <div class="col-12 col-md-6 mb-3">
                                <label class="form-label">Typ</label>
                                <select n:name="typ" class="pridat-polozka-typ form-select" onchange="changePridatPolozkaTyp()"></select>
                            </div>
                        </div>
                        <div id="nahled-img">
                            {if $typ == 'page'}
                                <div class="col-12 mb-3">
                                    <label class="form-label">Stránka</label>
                                    <div class="input-group">
                                        <span class="input-group-text">
                                            <i class="fa-solid fa-pen"></i>
                                        </span>
                                        <select n:name="stranky_id" class="form-select"></select>
                                    </div>
                                </div>
                            {elseif $typ == 'dropdown'}
                                <div class="col-12 mb-3">
                                    <label class="form-label">Název</label>
                                    <div class="input-group">
                                        <span class="input-group-text">
                                            <i class="fa-solid fa-pen"></i>
                                        </span>
                                        <input n:name="nazev" class="form-control">
                                    </div>
                                </div>
                            {/if}
                        </div>
                    </div>
                    <div class="modal-footer">
                        <a class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                        <button n:name="send" class="btn btn-success"><i class="fa-solid fa-plus me-2"></i> Přidat</button>
                    </div>
                </div>
            </form>
        {/snippet}
    </div>
</div>
<script>
    function changePridatPolozkaTyp(){

        let typ = $('.pridat-polozka-typ').val();
        console.log(typ);
        naja.makeRequest('POST', {link 'changeForm'} , { {$control->getParameterId('typ') }: typ })
    .catch((error) => { console.log(error) });

    }
</script>